.settings {
    display: flex;
    flex-direction: column;
    width: 300px;
    height: 90vh;
    float: left;
    textarea {
        height: 100%;
        width: calc(100% - 2px);
        padding: 0px;
        resize: none;
    }
    button {
        width: 100%;
    }
}